/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ActivityLogDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ActivityLogDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ActivityLogDto
        //private ActivityLogDto instance;

        public ActivityLogDtoTests()
        {
            // TODO uncomment below to create an instance of ActivityLogDto
            //instance = new ActivityLogDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ActivityLogDto
        /// </summary>
        [Fact]
        public void ActivityLogDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ActivityLogDto
            //Assert.IsType<ActivityLogDto>(instance);
        }

        /// <summary>
        /// Test the property 'Id'
        /// </summary>
        [Fact]
        public void IdTest()
        {
            // TODO unit test for the property 'Id'
        }

        /// <summary>
        /// Test the property 'ApiPath'
        /// </summary>
        [Fact]
        public void ApiPathTest()
        {
            // TODO unit test for the property 'ApiPath'
        }

        /// <summary>
        /// Test the property 'HttpAction'
        /// </summary>
        [Fact]
        public void HttpActionTest()
        {
            // TODO unit test for the property 'HttpAction'
        }

        /// <summary>
        /// Test the property 'ControllerName'
        /// </summary>
        [Fact]
        public void ControllerNameTest()
        {
            // TODO unit test for the property 'ControllerName'
        }

        /// <summary>
        /// Test the property 'ActionName'
        /// </summary>
        [Fact]
        public void ActionNameTest()
        {
            // TODO unit test for the property 'ActionName'
        }

        /// <summary>
        /// Test the property 'UserId'
        /// </summary>
        [Fact]
        public void UserIdTest()
        {
            // TODO unit test for the property 'UserId'
        }

        /// <summary>
        /// Test the property 'ActivityTimestamp'
        /// </summary>
        [Fact]
        public void ActivityTimestampTest()
        {
            // TODO unit test for the property 'ActivityTimestamp'
        }
    }
}
